gtkmm: Gtk::Buildable Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::Buildable Class Reference

A base class for objects that can be built by Gtk::Builder. More...

Inheritance diagram for Gtk::Buildable:
[legend]

List of all members.

## Public Member Functions
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject.
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object.
Glib::ustring | get_name () const
| Gets the name of the buildable object.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
| Buildable ()
| You should derive from this class to use it.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A base class for objects that can be built by Gtk::Builder.

Buildable allows objects to extend and customize thier deserialization from Gtk::Builder UI descriptions. The interface includes methods for setting names and properties of objects, parsing custom tags and constructing child objects.

All gtkmm widgets, and many non-widget objects, derive from this base class. The main user of this interface is Gtk::Builder. There should be very little need for applications to call any of Buildable's methods.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::Buildable::Buildable | ( |  | ) | `[protected]`

You should derive from this class to use it.

virtual Gtk::Buildable::~Buildable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::Buildable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::ustring Gtk::Buildable::get_name | ( |  | ) | const

Gets the name of the buildable object.

Gtk::Builder sets the name based on the the GtkBuilder UI definition used to construct the buildable.

Since gtkmm 2.12:

Returns:
  The name set with set_name().

Reimplemented in Gtk::Widget, Gtk::Action, and Gtk::ActionGroup.

GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::TreeView, Gtk::HScale, Gtk::Window, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::ToolPalette, Gtk::VPaned, Gtk::SpinButton, Gtk::Dialog, Gtk::CellArea, Gtk::TextView, Gtk::Image, Gtk::IconView, Gtk::AboutDialog, Gtk::SizeGroup, Gtk::Entry, Gtk::MessageDialog, Gtk::Box, Gtk::Socket, Gtk::Assistant, Gtk::MenuBar, Gtk::Notebook, Gtk::Table, Gtk::Action, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::EntryCompletion, Gtk::ButtonBox, Gtk::FontSelection, Gtk::VScrollbar, Gtk::Container, Gtk::Expander, Gtk::ColorSelection, Gtk::OffscreenWindow, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::VButtonBox, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::LinkButton, Gtk::Scrollbar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::HandleBox, Gtk::ListStore, Gtk::RecentAction, Gtk::VSeparator, Gtk::CellAreaBox, Gtk::RecentChooserDialog, Gtk::VBox, Gtk::Button, Gtk::Layout, Gtk::ScaleButton, Gtk::HPaned, Gtk::Alignment, Gtk::Arrow, Gtk::ColorButton, Gtk::Scale, Gtk::Toolbar, Gtk::TreeStore, Gtk::AppChooserWidget, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuItem, Gtk::RecentChooserMenu, Gtk::Statusbar, Gtk::MenuShell, Gtk::TearoffMenuItem, Gtk::AppChooserButton, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Menu, Gtk::AspectFrame, Gtk::Label, Gtk::RadioButton, Gtk::RecentChooserWidget, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::ToolItem, Gtk::Bin, Gtk::ComboBoxText, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::ToolItemGroup, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::ColorChooserDialog, Gtk::Viewport, Gtk::CheckMenuItem, Gtk::MenuToolButton, Gtk::Range, Gtk::SeparatorMenuItem, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ApplicationWindow, Gtk::DrawingArea, Gtk::Invisible, Gtk::RadioAction, Gtk::Spinner, Gtk::Plug, Gtk::ActionGroup, Gtk::ToggleAction, and Gtk::ToolButton.

const GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::TreeView, Gtk::HScale, Gtk::Window, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::ToolPalette, Gtk::VPaned, Gtk::SpinButton, Gtk::Dialog, Gtk::CellArea, Gtk::TextView, Gtk::Image, Gtk::IconView, Gtk::AboutDialog, Gtk::SizeGroup, Gtk::Entry, Gtk::MessageDialog, Gtk::Box, Gtk::Socket, Gtk::Assistant, Gtk::MenuBar, Gtk::Notebook, Gtk::Table, Gtk::Action, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::EntryCompletion, Gtk::ButtonBox, Gtk::FontSelection, Gtk::VScrollbar, Gtk::Container, Gtk::Expander, Gtk::ColorSelection, Gtk::OffscreenWindow, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::VButtonBox, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::LinkButton, Gtk::Scrollbar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::HandleBox, Gtk::ListStore, Gtk::RecentAction, Gtk::VSeparator, Gtk::CellAreaBox, Gtk::RecentChooserDialog, Gtk::VBox, Gtk::Button, Gtk::Layout, Gtk::ScaleButton, Gtk::HPaned, Gtk::Alignment, Gtk::Arrow, Gtk::ColorButton, Gtk::Scale, Gtk::Toolbar, Gtk::TreeStore, Gtk::AppChooserWidget, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuItem, Gtk::RecentChooserMenu, Gtk::Statusbar, Gtk::MenuShell, Gtk::TearoffMenuItem, Gtk::AppChooserButton, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Menu, Gtk::AspectFrame, Gtk::Label, Gtk::RadioButton, Gtk::RecentChooserWidget, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::ToolItem, Gtk::Bin, Gtk::ComboBoxText, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::ToolItemGroup, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::ColorChooserDialog, Gtk::Viewport, Gtk::CheckMenuItem, Gtk::MenuToolButton, Gtk::Range, Gtk::SeparatorMenuItem, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ApplicationWindow, Gtk::DrawingArea, Gtk::Invisible, Gtk::RadioAction, Gtk::Spinner, Gtk::Plug, Gtk::ActionGroup, Gtk::ToggleAction, and Gtk::ToolButton.

void Gtk::Buildable::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of the buildable object.

Since gtkmm 2.12:

Parameters:

  name | Name to set.

Reimplemented in Gtk::Widget.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Buildable > wrap | ( | GtkBuildable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/buildable.h